Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
unable to install k3b [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
trawler
n00b
n00b


Joined: 07 Jan 2007
Posts: 70

PostPosted: Sat Jan 13, 2007 12:37 pm    Post subject: unable to install k3b [SOLVED] Reply with quote

k3b fails on cdrdao dependencies:
app-cdr/cdrdao depends, among others, on dev-cpp/gconfmm to give this error on configurae:
Code:
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
./configure: line 2031: syntax error near unexpected token `scripts'
./configure: line 2031: `AL_ACLOCAL_INCLUDE(scripts)'

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/gconfmm-2.12.0/work/gconfmm-2.12.0/config.log

!!! ERROR: dev-cpp/gconfmm-2.12.0 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  gconfmm-2.12.0.ebuild, line 33:   Called gnome2_src_compile
  gnome2.eclass, line 70:   Called gnome2_src_configure
  gnome2.eclass, line 66:   Called econf
  ebuild.sh, line 540:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

Has anyone seen this before?


Last edited by trawler on Tue Aug 14, 2007 11:49 am; edited 1 time in total
Back to top
View user's profile Send private message
moocha
Watchman
Watchman


Joined: 21 Oct 2003
Posts: 5722
Location: Cluj-Napoca, Romania

PostPosted: Sat Jan 13, 2007 2:53 pm    Post subject: Reply with quote

The major and minor version numbers for gconfmm must match those for gconf (provided by libgnome). For example, if you have libgnome-2.16.0 installed, you must also use gconfmm-2.16.something. I.e., your g*mm package versions must match your g* package versions. Unmask gconfmm appropiately.
I've seen countless variations of this issue, and IM(NS)HO this is a bug in the g*mm ebuild families...
_________________
Military Commissions Act of 2006: http://tinyurl.com/jrcto

"Those who would give up essential liberty to purchase a little temporary safety deserve neither liberty nor safety."
-- attributed to Benjamin Franklin
Back to top
View user's profile Send private message
Jessehk
n00b
n00b


Joined: 03 Mar 2006
Posts: 27

PostPosted: Sat Jan 13, 2007 3:19 pm    Post subject: Reply with quote

http://forums.gentoo.org/viewtopic-t-529544-highlight-.html

http://bugs.gentoo.org/show_bug.cgi?id=160304

This issue caused me to leave Gentoo out of frustration. I'll probably be coming back though.
Back to top
View user's profile Send private message
trawler
n00b
n00b


Joined: 07 Jan 2007
Posts: 70

PostPosted: Sat Jan 13, 2007 5:46 pm    Post subject: Reply with quote

It seems to be going well at the moment, but I had to unmask these packages:
Code:
dev-cpp/libgnomeuimm
dev-cpp/libgnomemm
dev-cpp/libgnomecanvasmm
dev-cpp/gnome-vfsmm
dev-cpp/glibmm
dev-cpp/gconfmm


thanks :)
Back to top
View user's profile Send private message
Kobboi
l33t
l33t


Joined: 29 Jul 2005
Posts: 655
Location: Belgium

PostPosted: Thu Jan 18, 2007 5:50 pm    Post subject: Reply with quote

This is a kind of inconsistency I would like to see removed from Portage. If a package is stable, I don't want any possible problems compiling it and its dependencies. Btw, gconf-2.14.0 is the only version in Portage at the moment, and there isn't even a gconfmm-2.14.0 !
Back to top
View user's profile Send private message
d_adams
Apprentice
Apprentice


Joined: 20 Oct 2003
Posts: 223

PostPosted: Thu Jan 18, 2007 11:01 pm    Post subject: Reply with quote

trawler wrote:
It seems to be going well at the moment, but I had to unmask these packages:
Code:
dev-cpp/libgnomeuimm
dev-cpp/libgnomemm
dev-cpp/libgnomecanvasmm
dev-cpp/gnome-vfsmm
dev-cpp/glibmm
dev-cpp/gconfmm


thanks :)


Thanks trawler, that worked for me. :)
_________________
http://www.1and1.com/?k_id=16196755 click me for cheap linux based web hosting.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum